---
updatedAt: 2026-05-27T22:29:20.000Z
agentTools:
  projectIndex: https://docs.spinwheel.io/llms.txt
---

# Verify a Payer

This API will allow payer to verify their bank account.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "paths": {
    "/v1/payments/payers/{payerId}/verify": {
      "post": {
        "operationId": "Execute Verification",
        "summary": "Verify a Payer",
        "description": "This API will allow payer to verify their bank account.",
        "parameters": [
          {
            "name": "payerId",
            "required": true,
            "in": "path",
            "description": "Payer Id received on adding payer account",
            "example": "1f8df767-638e-4151-90c5-49461ffc8484",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/DepositAmountsRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PayerVerificationResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad request response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BadRequestResponse"
                },
                "examples": {
                  "Payer Not Found": {
                    "value": {
                      "status": {
                        "code": 400,
                        "desc": "Bad Request",
                        "messages": [
                          {
                            "desc": "Payer [id=097ac8fa-6b11-49c6-8889-6dec25f83f55] not found"
                          }
                        ]
                      }
                    }
                  },
                  "Not A Partner Payer": {
                    "value": {
                      "status": {
                        "code": 400,
                        "desc": "Bad Request",
                        "messages": [
                          {
                            "desc": "Payer [id=097ac8fa-6b11-49c6-8889-6dec25f83f55] is not a partner payer"
                          }
                        ]
                      }
                    }
                  },
                  "Payer Profile Empty": {
                    "value": {
                      "status": {
                        "code": 400,
                        "desc": "Bad Request",
                        "messages": [
                          {
                            "desc": "Payer profile is empty for payer [id=097ac8fa-6b11-49c6-8889-6dec25f83f55]"
                          }
                        ]
                      }
                    }
                  },
                  "Payer Already Verified": {
                    "value": {
                      "status": {
                        "code": 400,
                        "desc": "Bad Request",
                        "messages": [
                          {
                            "desc": "Payer [id=097ac8fa-6b11-49c6-8889-6dec25f83f55] already verified"
                          }
                        ]
                      }
                    }
                  },
                  "Micro-deposit Validation Failed": {
                    "value": {
                      "status": {
                        "code": 400,
                        "desc": "Bad Request",
                        "messages": [
                          {
                            "desc": "Micro-deposit validation for payer [id=097ac8fa-6b11-49c6-8889-6dec25f83f55] failed"
                          }
                        ]
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/UnauthorizedResponse"
                }
              }
            }
          },
          "404": {
            "description": "Not found response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/NotFoundResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InternalServerErrorResponse"
                }
              }
            }
          }
        },
        "tags": [
          "Payers"
        ],
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    }
  },
  "info": {
    "title": "Pay",
    "description": "Welcome to Spinwheel's documentation! ",
    "version": "1.0",
    "contact": {}
  },
  "tags": [
    {
      "name": "Payers"
    }
  ],
  "servers": [
    {
      "url": "https://sandbox-api.spinwheel.io"
    },
    {
      "url": "https://api.spinwheel.io"
    },
    {
      "url": "https://secure-api.spinwheel.io"
    },
    {
      "url": "https://secure-sandbox-api.spinwheel.io"
    }
  ],
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "description": "Once you've created a Spinwheel account and received credentials, you can access all of Spinwheel's APIs using a server-to-server call (in order to protect your credentials). When calling an API simply include your secretKey as a bearer token in an auth header like so: \n\n `Authorization: Bearer 8ae8d6fa-df8d-4c5d-9f9b-c4e4c10968b0`"
      }
    },
    "schemas": {
      "BadRequest": {
        "type": "object",
        "properties": {
          "code": {
            "type": "number",
            "example": 400
          },
          "desc": {
            "type": "string",
            "example": "Bad request"
          }
        },
        "required": [
          "code",
          "desc"
        ]
      },
      "BadRequestResponse": {
        "type": "object",
        "properties": {
          "status": {
            "$ref": "#/components/schemas/BadRequest"
          }
        },
        "required": [
          "status"
        ]
      },
      "Unauthorized": {
        "type": "object",
        "properties": {
          "code": {
            "type": "number",
            "example": 401
          },
          "desc": {
            "type": "string",
            "example": "Invalid private key"
          }
        },
        "required": [
          "code",
          "desc"
        ]
      },
      "UnauthorizedResponse": {
        "type": "object",
        "properties": {
          "status": {
            "$ref": "#/components/schemas/Unauthorized"
          }
        },
        "required": [
          "status"
        ]
      },
      "NotFound": {
        "type": "object",
        "properties": {
          "code": {
            "type": "number",
            "example": 404
          },
          "desc": {
            "type": "string",
            "example": "Resource not found"
          }
        },
        "required": [
          "code",
          "desc"
        ]
      },
      "NotFoundResponse": {
        "type": "object",
        "properties": {
          "status": {
            "$ref": "#/components/schemas/NotFound"
          }
        },
        "required": [
          "status"
        ]
      },
      "InternalServerError": {
        "type": "object",
        "properties": {
          "code": {
            "type": "number",
            "example": 500
          },
          "desc": {
            "type": "string",
            "example": "Internal server error"
          }
        },
        "required": [
          "code",
          "desc"
        ]
      },
      "InternalServerErrorResponse": {
        "type": "object",
        "properties": {
          "status": {
            "$ref": "#/components/schemas/InternalServerError"
          }
        },
        "required": [
          "status"
        ]
      },
      "Message": {
        "type": "object",
        "properties": {
          "desc": {
            "type": "string",
            "example": "Example status description"
          },
          "type": {
            "enum": [
              "ERROR",
              "WARN",
              "INFO"
            ],
            "type": "string",
            "example": "ERROR"
          }
        },
        "required": [
          "desc"
        ]
      },
      "ResponseStatus": {
        "type": "object",
        "properties": {
          "code": {
            "type": "number",
            "example": 200
          },
          "desc": {
            "type": "string",
            "example": "success"
          },
          "messages": {
            "example": [
              {
                "desc": "Example description"
              }
            ],
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Message"
            }
          }
        }
      },
      "DepositAmountsRequest": {
        "type": "object",
        "properties": {
          "depositAmounts": {
            "description": "Array of deposit amounts",
            "example": [
              0.03,
              0.09
            ],
            "type": "array",
            "items": {
              "type": "number"
            }
          }
        },
        "required": [
          "depositAmounts"
        ]
      },
      "PayerVerificationResponse": {
        "type": "object",
        "properties": {
          "status": {
            "$ref": "#/components/schemas/ResponseStatus"
          },
          "data": {
            "type": "string",
            "example": "PayerId {{payerId}} successfully verified"
          }
        },
        "required": [
          "status",
          "data"
        ]
      }
    }
  }
}
```